commit: 03946ad3b56f2fffca48af4823968df36e2b1164
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 19 14:14:54 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Dec 19 14:14:54 2018 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=03946ad3
kde-apps/ark: Improve pkg_postinst RAR support elog
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
kde-apps/ark/ark-18.12.49.9999.ebuild | 10 +++++-----
kde-apps/ark/ark-9999.ebuild | 10 +++++-----
2 files changed, 10 insertions(+), 10 deletions(-)
diff --git a/kde-apps/ark/ark-18.12.49.9999.ebuild
b/kde-apps/ark/ark-18.12.49.9999.ebuild
index 8a3c4b2f82..81845b1f99 100644
--- a/kde-apps/ark/ark-18.12.49.9999.ebuild
+++ b/kde-apps/ark/ark-18.12.49.9999.ebuild
@@ -61,13 +61,13 @@ pkg_postinst() {
kde5_pkg_postinst
if [[ -z "${REPLACING_VERSIONS}" ]]; then
- if ! has_version app-arch/unar && ! has_version app-arch/unrar;
then
- elog "For extracting rar archives, install
app-arch/unar (free) or app-arch/unrar (non-free)."
+ if ! has_version app-arch/rar; then
+ elog "For creating/extracting rar archives, installing
app-arch/rar is required."
+ if ! has_version app-arch/unar && ! has_version
app-arch/unrar; then
+ elog "Alternatively, for only extracting rar
archives, install app-arch/unar (free) or app-arch/unrar (non-free)."
+ fi
fi
- has_version app-arch/rar || \
- elog "For creating rar archives, installing
app-arch/rar is required."
-
has_version app-arch/p7zip || \
elog "For handling 7-Zip archives, install
app-arch/p7zip."
diff --git a/kde-apps/ark/ark-9999.ebuild b/kde-apps/ark/ark-9999.ebuild
index 8a3c4b2f82..81845b1f99 100644
--- a/kde-apps/ark/ark-9999.ebuild
+++ b/kde-apps/ark/ark-9999.ebuild
@@ -61,13 +61,13 @@ pkg_postinst() {
kde5_pkg_postinst
if [[ -z "${REPLACING_VERSIONS}" ]]; then
- if ! has_version app-arch/unar && ! has_version app-arch/unrar;
then
- elog "For extracting rar archives, install
app-arch/unar (free) or app-arch/unrar (non-free)."
+ if ! has_version app-arch/rar; then
+ elog "For creating/extracting rar archives, installing
app-arch/rar is required."
+ if ! has_version app-arch/unar && ! has_version
app-arch/unrar; then
+ elog "Alternatively, for only extracting rar
archives, install app-arch/unar (free) or app-arch/unrar (non-free)."
+ fi
fi
- has_version app-arch/rar || \
- elog "For creating rar archives, installing
app-arch/rar is required."
-
has_version app-arch/p7zip || \
elog "For handling 7-Zip archives, install
app-arch/p7zip."